[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.GetDeltaMoveNext

Returns the relative cell coordinates for the next cell in the grid navigation order.

## Declaration

Source position: grids.pas line 1096

`protected function TCustomGrid.GetDeltaMoveNext(`
`const Inverse: Boolean;`
`var ACol: Integer;`
`var ARow: Integer;`
`const AAutoAdvance: TAutoAdvance`
`):Boolean; virtual;`

## Arguments

`Inverse` |  | True is the navigation order is reversed.
`ACol` |  | Column number after the navigation request.
`ARow` |  | Column number after the navigation request.
`AAutoAdvance` |  | Direction of movement for the request.

## Function result

True if the calculated cell for the movement is selected in the grid control.

## Description

AAutoAdvance contains the navigation direction requested in the method. When it is set to aaNone, the values in ACol and ARow always contain 0 (zero) indicating no relative movement.

When Inverse is set to True, the cell navigation order in AAutoAdvance is reversed. When row selection is enabled in the grid Options (using goRowSelect), ACol is set to the first non-fixed column in the grid. Otherwise, it is set to the last column in the grid. Other auto-advance values are handled as follows:

- aaLeft is treated as if it were aaRight
- aaRightDown is treated as if it were aaLeftUp
- aaLeftDown is treated as if it were aaRightUp
- aaRightUp is treated as if it were aaLeftDown
- aaLeftUp is treated as if it were aaRightDown

The next cell for the navigation order is calculated and returned in the ACol and ARow arguments. The return value is True if the values in ACol and ARow were successfully selected as the current cell in the grid.